gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.NeverTrigger

Contents

- Exported types
- Methods
  - get

Description

A `GtkShortcutTrigger` that never triggers.

Synopsis

- newtype NeverTrigger = NeverTrigger (ManagedPtr NeverTrigger)
- class (GObject o, IsDescendantOf NeverTrigger o) => IsNeverTrigger o
- toNeverTrigger :: (MonadIO m, IsNeverTrigger o) => o -> m NeverTrigger
- neverTriggerGet :: (HasCallStack, MonadIO m) => m NeverTrigger

# Exported types

newtype NeverTrigger Source #

Memory-managed wrapper type.

Constructors

NeverTrigger (ManagedPtr NeverTrigger) |

#### Instances

Instances details

Eq NeverTrigger Source # |
Instance details Defined in GI.Gtk.Objects.NeverTrigger Methods (==) :: NeverTrigger -> NeverTrigger -> Bool Source # (/=) :: NeverTrigger -> NeverTrigger -> Bool Source #
GObject NeverTrigger Source # |
Instance details Defined in GI.Gtk.Objects.NeverTrigger
ManagedPtrNewtype NeverTrigger Source # |
Instance details Defined in GI.Gtk.Objects.NeverTrigger Methods toManagedPtr :: NeverTrigger -> ManagedPtr NeverTrigger Source #
TypedObject NeverTrigger Source # |
Instance details Defined in GI.Gtk.Objects.NeverTrigger Methods glibType :: IO GType Source #
HasParentTypes NeverTrigger Source # |
Instance details Defined in GI.Gtk.Objects.NeverTrigger
IsGValue (Maybe NeverTrigger) Source # | Convert `NeverTrigger` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.NeverTrigger Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe NeverTrigger -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe NeverTrigger) Source #
type ParentTypes NeverTrigger Source # |
Instance details Defined in GI.Gtk.Objects.NeverTrigger type ParentTypes NeverTrigger = '[ShortcutTrigger, Object]

class (GObject o, IsDescendantOf NeverTrigger o) => IsNeverTrigger o Source #

Type class for types which can be safely cast to `NeverTrigger`, for instance with `toNeverTrigger`.

#### Instances

Instances details

(GObject o, IsDescendantOf NeverTrigger o) => IsNeverTrigger o Source # |
Instance details Defined in GI.Gtk.Objects.NeverTrigger

toNeverTrigger :: (MonadIO m, IsNeverTrigger o) => o -> m NeverTrigger Source #

Cast to `NeverTrigger`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, compare, equal, forceFloating, freezeNotify, getv, hash, isFloating, notify, notifyByPspec, print, printLabel, ref, refSink, runDispose, stealData, stealQdata, thawNotify, toLabel, toString, trigger, unref, watchClosure.

#### Getters

getData, getProperty, getQdata.

#### Setters

setData, setDataFull, setProperty.

## get

neverTriggerGet Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m NeverTrigger | Returns: The never trigger

Gets the never trigger.

This is a singleton for a trigger that never triggers. Use this trigger instead of `Nothing` because it implements all virtual functions.